-- Deploy numerus:payment_account_type_i18n to pg
-- requires: roles
-- requires: schema_numerus
-- requires: payment_account_type
-- requires: language

begin;

set search_path to numerus, public;

create table payment_account_type_i18n (
	payment_account_type text not null references payment_account_type,
	lang_tag text not null references language,
	name text not null,
	primary key (payment_account_type, lang_tag)
);

grant select on table payment_account_type_i18n to invoicer;
grant select on table payment_account_type_i18n to admin;

commit;
