-- Verify numerus:available_payment_account_types on pg

begin;

set search_path to numerus;

select 1 / count(*) from payment_account_type where payment_account_type = 'bank' and name ='Bank';
select 1 / count(*) from payment_account_type where payment_account_type = 'card' and name ='Credit Card';
select 1 / count(*) from payment_account_type where payment_account_type = 'cash' and name ='Cash';
select 1 / count(*) from payment_account_type where payment_account_type = 'other' and name ='Other';

select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'bank' and name ='Banc' and lang_tag = 'ca';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'bank' and name ='Banco' and lang_tag = 'es';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'card' and name ='Targeta de crèdit' and lang_tag= 'ca';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'card' and name ='Tarjeta de crédito' and lang_tag= 'es';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'cash' and name ='Efectiu' and lang_tag= 'ca';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'cash' and name ='Efectivo' and lang_tag= 'es';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'other' and name ='Altres' and lang_tag= 'ca';
select 1 / count(*) from payment_account_type_i18n where payment_account_type = 'other' and name ='Otros' and lang_tag= 'es';

rollback;
